io.vertx.amqp

## Interface AmqpReceiver

- All Superinterfaces:
    ReadStream<AmqpMessage>, StreamBase

      public interface AmqpReceiver
      extends ReadStream<AmqpMessage>

  Interface used to consume AMQP message as a stream of message. Back pressure is implemented using AMQP credits.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `address()` The listened address.
    `Future<Void>` | `close()` Like `close(Handler)` but returns a `Future` of the asynchronous result
    `void` | `close(Handler<AsyncResult<Void>> handler)` Closes the receiver.
    `AmqpConnection` | `connection()` Gets the connection having created the receiver.
    `AmqpReceiver` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `AmqpReceiver` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `AmqpReceiver` | `fetch(long amount)` Fetch the specified `amount` of elements.
    `AmqpReceiver` | `handler(Handler<AmqpMessage> handler)` Set a data handler.
    `AmqpReceiver` | `pause()` Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `AmqpReceiver` | `resume()` Resume reading, and sets the buffer in `flowing` mode.
    `io.vertx.proton.ProtonReceiver` | `unwrap()`

    - ### Methods inherited from interface io.vertx.core.streams.ReadStream

      `pipe, pipeTo, pipeTo`

- - ### Method Detail

    - #### exceptionHandler

          AmqpReceiver exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<AmqpMessage>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          AmqpReceiver handler(Handler<AmqpMessage> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<AmqpMessage>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          AmqpReceiver pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<AmqpMessage>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          AmqpReceiver resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<AmqpMessage>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### fetch

          AmqpReceiver fetch(long amount)

      Description copied from interface: `ReadStream`
      Fetch the specified `amount` of elements. If the `ReadStream` has been paused, reading will recommence with the specified `amount` of items, otherwise the specified `amount` will be added to the current stream demand.
      Specified by:
        `fetch` in interface `ReadStream<AmqpMessage>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          AmqpReceiver endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<AmqpMessage>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### address

          String address()

      The listened address.
      Returns:
        the address, not `null`

    - #### close

          void close(Handler<AsyncResult<Void>> handler)

      Closes the receiver.
      Parameters:
        `handler` - handler called when the receiver has been closed, can be `null`

    - #### close

          Future<Void> close()

      Like `close(Handler)` but returns a `Future` of the asynchronous result

    - #### connection

          AmqpConnection connection()

      Gets the connection having created the receiver. Cannot be `null`
      Returns:
        the connection having created the receiver.

    - #### unwrap

          io.vertx.proton.ProtonReceiver unwrap()

      Returns:
        the underlying ProtonReceiver.

Copyright © 2022 Eclipse. All rights reserved.